{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Traces a simulated HTTP request through Cloudflare's edge to analyze how rules, settings, and configurations would process the request. Useful for debugging firewall rules, page rules, and other request transformations without sending actual traffic. Supports custom headers, cookies, body content, and geolocation context.","properties":{"path":{"type":"object","properties":{"account_id":{"$ref":"#/definitions/request-tracer_account_identifier"}},"required":["account_id"],"additionalProperties":false},"body":{"type":"object","properties":{"body":{"type":"object","properties":{"base64":{"description":"Base64 encoded request body","type":"string","examples":["c29tZV9yZXF1ZXN0X2JvZHk="]},"json":{"description":"Arbitrary json as request body","type":"object"},"plain_text":{"description":"Request body as plain text","type":"string"}}},"context":{"description":"Additional request parameters","type":"object","properties":{"bot_score":{"description":"Bot score used for evaluating tracing request processing","type":"integer"},"geoloc":{"description":"Geodata for tracing request","type":"object","properties":{"city":{"type":"string","examples":["London"]},"continent":{"type":"string"},"is_eu_country":{"type":"boolean"},"iso_code":{"type":"string"},"latitude":{"type":"number"},"longitude":{"type":"number"},"postal_code":{"type":"string"},"region_code":{"type":"string"},"subdivision_2_iso_code":{"type":"string"},"timezone":{"type":"string"}}},"skip_challenge":{"description":"Whether to skip any challenges for tracing request (e.g.: captcha)","type":"boolean","examples":[true]},"threat_score":{"description":"Threat score used for evaluating tracing request processing","type":"integer"}}},"cookies":{"description":"Cookies added to tracing request","type":"object","additionalProperties":{"type":"string"},"examples":[{"cookie_name_1":"cookie_value_1","cookie_name_2":"cookie_value_2"}]},"headers":{"description":"Headers added to tracing request","type":"object","additionalProperties":{"type":"string"},"examples":[{"header_name_1":"header_value_1","header_name_2":"header_value_2"}]},"method":{"description":"HTTP Method of tracing request","type":"string","examples":["PUT"]},"protocol":{"description":"HTTP Protocol of tracing request","type":"string","examples":["HTTP/1.1"]},"skip_response":{"description":"Skip sending the request to the Origin server after all rules evaluation","type":"boolean"},"url":{"description":"URL to which perform tracing request","type":"string","examples":["https://some.zone/some_path"]}},"required":["url","method"],"examples":[{"body":{"base64":"c29tZV9yZXF1ZXN0X2JvZHk="},"context":{"geoloc":{"city":"London"},"skip_challenge":true},"cookies":{"cookie_name_1":"cookie_value_1","cookie_name_2":"cookie_value_2"},"headers":{"header_name_1":"header_value_1","header_name_2":"header_value_2"},"method":"PUT","protocol":"HTTP/1.1","url":"https://some.zone/some_path"}]}},"required":["path","body"],"additionalProperties":false,"definitions":{"request-tracer_account_identifier":{"description":"Identifier.","type":"string","maxLength":32,"examples":["023e105f4ecef8ad9ca31a8372d0c353"]}}},"name":"Request Trace","id":"cloudflare.account-request-tracer-request-trace","example":{"path":{"account_id":"023e105f4ecef8ad9ca31a8372d0c353"},"body":{"body":{"base64":"c29tZV9yZXF1ZXN0X2JvZHk="},"context":{"geoloc":{"city":"London"},"skip_challenge":true},"cookies":{"cookie_name_1":"cookie_value_1","cookie_name_2":"cookie_value_2"},"headers":{"header_name_1":"header_value_1","header_name_2":"header_value_2"},"method":"PUT","protocol":"HTTP/1.1","url":"https://some.zone/some_path"}},"maxRequests":1,"summary":false}}